From: Eugeniy Meshcheryakov <eugen@debian.org>
Subject: Do not redefine predicates that are already defined by SWI prolog
Forwarded: not-needed
--- a/checker/utilities.pro
+++ b/checker/utilities.pro
@@ -816,12 +816,6 @@
 
 
 /*** subset(A,B) -- A is a subset of B ***/
-subset([A|AA],B) :-
-        set_find_in(A,B),
-        !,
-        subset(AA,B),
-        !.
-subset([],_) :- !.
 
 
 /*** set_lacking(A,B,C) -- C is A \ B ***/
@@ -912,12 +906,6 @@
         flush_output,
         !.
 
-tab(0) :- !.
-tab(N) :-
-    !,
-    put_char(' '),
-    NewN is N - 1,
-    tab(NewN).
         
 %###############################################################################
 %END-OF-FILE
--- a/checker/newrules.pro
+++ b/checker/newrules.pro
@@ -278,7 +278,6 @@
 :- public set_union/3.
 :- public simplify/2.
 :- public strict_sublist/2.
-:- public subset/2.
 :- public subst_vbl/4.
 :- public type/2.
 
